.filter-buttons {
    text-align: center;
}

.filter-buttons button {
    padding: 10px 20px;
    margin: 10px;
    border: none;
    cursor: pointer;
    font-weight: bold;
    background-color: #7ED4EC;
    color: black;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.2s;
}
.filter-buttons button:hover {
    background-color: #EEE30D;
    color: #ffffff;
    transform: scale(1.1);
}

.filter-buttons button.active {
    background-color: #EEE30D;
    transform: scale(1.1);
    color: #ffffff;
}

/* Upload button */
.upload-container {
    margin: 20px 0;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    /* Larger images */
    gap: 15px;
    padding: 20px;
    max-width: 1200px;
    margin: auto;
}

.gallery img {
    width: 100%;
    /* Ensures responsiveness */
    height: 300px;
    /* Fixed height for uniformity */
    object-fit: cover;
    /* Ensures images fill the box without stretching */
    border-radius: 10px;
    transition: transform 0.3s, box-shadow 0.3s;
    cursor: pointer;
}

.gallery img:hover {
    transform: scale(1.05);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

/* Lightbox */
.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    align-items: center;
    justify-content: center;
}

.lightbox img {
    max-width: 90%;
    max-height: 80%;
}

.close {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 30px;
    color: white;
    cursor: pointer;
}
.pagination-container {
    text-align: center;
    margin-top: 20px;
    display: none;
}

.pagination-btn {
    padding: 8px 12px;
    margin: 5px;
    border: none;
    cursor: pointer;
    background-color: #333;
    color: white;
    border-radius: 5px;
}

.pagination-btn.active {
    background-color: #ff5733;
}

/* Show pagination only on mobile */
@media (max-width: 768px) {
    .pagination-container {
        display: block;
    }
}
.gallery-info {
    max-width: 1200px;
    margin: 10px auto;
    text-align: justify;
    background: #ffffff;
    padding: 20px;
    border-radius: 10px;
}

.gallery-info h2 {
    color: #ff5733;
    font-size: 26px;
}
.gallery-info p {
    font-size: 16px;
    color: #555;
    line-height: 1.6;
}
